.loading-container {
    .loading-shown {
        overflow: hidden;
    }
    .loading-overlay {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
        align-items: center;
        display: none;
        justify-content: center;
        overflow: hidden;
        z-index: 9999;

        &.is-active {
            display: flex;
        }

        &.is-full-page {
            z-index: 9999;
            position: fixed;
            cursor: wait;
        }

        .loading-background {
            bottom: 0;
            left: 0;
            position: absolute;
            right: 0;
            top: 0;
            background: #000;
            opacity: 0.5;
        }

        .loading-icon {
            position: relative;
        }
    }

    .loading-parent {
        position: relative;
    }
}
